
Name: wcslib
Version: 7.12
Release: 1%{?dist}
Summary: An implementation of the FITS World Coordinate System standard

# Library is under LGPLv3+ utils under GPLv3+
License: LGPLv3+
URL: http://www.atnf.csiro.au/people/mcalabre/WCS/wcslib/
Source0: http://www.atnf.csiro.au/people/mcalabre/WCS/wcslib-%{version}.tar.bz2

# General stuff
BuildRequires: make
BuildRequires: flex
BuildRequires: gcc
# Development libraries
BuildRequires: cfitsio-devel
BuildRequires: zlib-devel

%description
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
License: LGPLv3+
Requires: wcslib = %{version}-%{release}
%description devel
These are the files needed to develop an application using %{name}.

%package utils
Summary: Utility programs provided by %{name}
License: GPLv3+
Requires: wcslib = %{version}-%{release}
%description utils
Utils provided with %{name}

%prep
%setup -q 

%build
%configure --disable-fortran --disable-static
# Does not like multithread builds...
make

%install
make install DESTDIR=%{buildroot}
# fix permissions
rm -rf %{buildroot}%{_datadir}/doc/wcslib*
chmod 755 %{buildroot}%{_includedir}/wcslib-%{version}

%check
make check

%ldconfig_scriptlets

%files
%license COPYING.LESSER
%doc README
%{_libdir}/*.so.*

%files devel
%license COPYING.LESSER
%doc html wcslib.pdf
%{_libdir}/*.so
%exclude %{_libdir}/*.a
%{_libdir}/pkgconfig/wcslib.pc
%{_includedir}/wcslib
%{_includedir}/wcslib-%{version}

%files utils
%license COPYING 
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Wed Dec 28 2022 Sergio Pascual <sergiopr@fedoraproject.org> 7.12-1
- New upstream version (7.12)

